Bug 1466476 - Need f25 patch in f26: improve parsing of IP configuration from alias files
Need f25 patch in f26: improve parsing of IP configuration from alias files
Status: NEW
Product: Fedora
Classification: Fedora
Component: NetworkManager (Show other bugs)
26
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Lubomir Rintel
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-06-29 14:15 EDT by Dusty Mabe
Modified: 2017-08-26 16:16 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Dusty Mabe 2017-06-29 14:15:29 EDT
Description of problem:

We need this patch in f26 also. I guess it was overlooked because it was assumed it would be in a release that would make it into f26. 

We need the equivalent of this patch but in f26 instead of f25: 
https://src.fedoraproject.org/cgit/rpms/NetworkManager.git/commit/?h=f25&id=71e8a81ca6beea9fe74ce91ed549a89582fa6737

NetworkManager-1.8.0-6.fc26.x86_64
Comment 2 Dusty Mabe 2017-06-30 09:00:35 EDT
Hey Beniamino,

Thank you! For some reason I was checking the cherry pick statements to see what was in what tag and I didn't see all of them in a tag so i thought some of them didn't make it into a release yet. That's what I get for multitasking while looking at this.

+(cherry picked from commit a8f0d88596d8dd2b807a7b0adee272c4f077dade)
+(cherry picked from commit be1daa4580267e448ad93b854da382026ea63281)
+(cherry picked from commit faf1ffc5ccd94770250082e88885dcf1f70b43ac)

+(cherry picked from commit 3cc00dd550fcbd83ec2f1af9eeb83bf5ec921d21)
+(cherry picked from commit 4c595997f2037707fcc9800c38a8ee8a6630c0e3)
+(cherry picked from commit e391fe98a9cd8b22673040efd0992e194584c36d)

+(cherry picked from commit e824dd34f0dc1bda10ab4102fc27d90f85c1462a)
+(cherry picked from commit 2ebc390734a9eaa65109ee989eed12282306aec7)
+(cherry picked from commit 304615f30181a2a0a97878a1c14155426086e9a7)

Another reason why we thought this didn't make it into f26 is because we are seeing the same behavior as described in the commit message for https://cgit.freedesktop.org/NetworkManager/NetworkManager/commit/?id=3cc00dd550fcbd83ec2f1af9eeb83bf5ec921d21 - will dig on that more today.
Comment 3 Dusty Mabe 2017-06-30 17:47:29 EDT
basically we have noticed an issue where having ipv6 enabled in digital ocean yields a system with no default route. still trying to dig to figure out the root cause.
Comment 4 gohai 2017-08-26 15:33:57 EDT
I believe I am having the same issue with IPv6 on F26 on DigitalOcean. Currently working a ticket with them, but things are going slowly. Is there anything I could do to workaround, or help debug this?
Comment 5 Dusty Mabe 2017-08-26 16:07:55 EDT
@gohai, 

Fedora 26 atomic host or Fedora 26 cloud base image? 

It seems there are issues with ipv6 and static networking with cloud-init+networkmanager. I think a newer version of cloud-init will fix it.
Comment 6 gohai 2017-08-26 16:16:51 EDT
@dustymabe

I am on the "regular" (i.e. non-atomic) image.

Latest suggestion I got from DigitalOcean support was running this command:
ip -6 route add default via [my public IPv6 gateway] dev eth0
Which indeed did the trick for me.

To make this change persistent they had me add the same literal IPV6_DEFAULTGW to ifcfg-eth0:0. This seem to have worked also, but is not set by default when a F26 droplet is instantiated.

Not sure if this is the same issue as you were looking at, or completely orthogonal. DigitalOcean support staff: "we've alerted engineers to fix this on the images".

Note You need to log in before you can comment on or make changes to this bug.